Bug 1472375 - meshlab FTBFS on ppc64, ppc64le and s390x
Summary: meshlab FTBFS on ppc64, ppc64le and s390x
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: meshlab
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks: F-ExcludeArch-s390x PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-07-18 15:09 UTC by Miro Hrončok
Modified: 2018-11-30 20:54 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 20:44:40 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2017-07-18 15:09:05 UTC
g++ -m64 -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -Wl,-rpath,/builddir/build/BUILD/meshlab-1.3.2/meshlab/src/distrib -o ../distrib/meshlab main.o mainwindow_Init.o mainwindow_RunTime.o glarea.o multiViewer_Container.o plugindialog.o customDialog.o filterScriptDialog.o saveSnapshotDialog.o layerDialog.o savemaskexporter.o changetexturename.o stdpardialog.o xmlstdpardialog.o additionalgui.o xmlgeneratorgui.o trackball.o trackmode.o glarea_setting.o filterthread.o moc_interfaces.o moc_mainwindow.o moc_glarea.o moc_multiViewer_Container.o moc_plugindialog.o moc_customDialog.o moc_filterScriptDialog.o moc_saveSnapshotDialog.o moc_savemaskexporter.o moc_changetexturename.o moc_layerDialog.o moc_stdpardialog.o moc_xmlstdpardialog.o moc_additionalgui.o moc_xmlgeneratorgui.o moc_filterthread.o qrc_meshlab.o    -L/usr/lib64 -L/usr/X11R6/lib64 -L../external/lib/linux-g++-64 -L../distrib -lcommon -lGLU -lQtScript -lQtXmlPatterns -lQtXml -lQtOpenGL -lQtGui -lQtNetwork -lQtCore -lGL -lpthread 
glarea.o: In function `GLArea::initializeGL()':
/builddir/build/BUILD/meshlab-1.3.2/meshlab/src/meshlab/glarea.cpp:166: undefined reference to `glewInit'
../distrib/libcommon.so: undefined reference to `__glewBindBuffer'
../distrib/libcommon.so: undefined reference to `__glewPointParameterf'
../distrib/libcommon.so: undefined reference to `__glewDeleteBuffersARB'
../distrib/libcommon.so: undefined reference to `__glewIsBuffer'
../distrib/libcommon.so: undefined reference to `__glewPointParameterfv'
collect2: error: ld returned 1 exit status

https://koji.fedoraproject.org/koji/taskinfo?taskID=20597331
https://koji.fedoraproject.org/koji/taskinfo?taskID=20597333

Comment 1 Miro Hrončok 2017-07-18 22:34:55 UTC
Same error with s390x

Comment 3 Jan Kurik 2017-08-15 07:55:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Ben Cotton 2018-11-27 16:22:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:44:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Miro Hrončok 2018-11-30 20:54:18 UTC
This still stands, however I don't think it is necessary to fix.


Note You need to log in before you can comment on or make changes to this bug.